<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: NeoPixelWiFiEventHandler Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classNeoPixelWiFiEventHandler-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">NeoPixelWiFiEventHandler Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Color a neopixel as a function of the WiFi state.  
 <a href="classNeoPixelWiFiEventHandler.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="NeoPixelWiFiEventHandler_8h_source.html">NeoPixelWiFiEventHandler.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for NeoPixelWiFiEventHandler:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classNeoPixelWiFiEventHandler.png" usemap="#NeoPixelWiFiEventHandler_map" alt=""/>
  <map id="NeoPixelWiFiEventHandler_map" name="NeoPixelWiFiEventHandler_map">
<area href="classWiFiEventHandler.html" title="WiFi state event handler." alt="WiFiEventHandler" shape="rect" coords="0,0,164,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a821464c5875f6551f21108c613559022"><td class="memItemLeft" align="right" valign="top"><a id="a821464c5875f6551f21108c613559022"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>NeoPixelWiFiEventHandler</b> (gpio_num_t gpioPin)</td></tr>
<tr class="separator:a821464c5875f6551f21108c613559022"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fac3188d6fc34c614e6ba60e8b06b8e"><td class="memItemLeft" align="right" valign="top">esp_err_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNeoPixelWiFiEventHandler.html#a0fac3188d6fc34c614e6ba60e8b06b8e">apStart</a> () override</td></tr>
<tr class="memdesc:a0fac3188d6fc34c614e6ba60e8b06b8e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Handle the Access Point started event. Handle an indication that the ESP32 has started being an access point.  <a href="#a0fac3188d6fc34c614e6ba60e8b06b8e">More...</a><br /></td></tr>
<tr class="separator:a0fac3188d6fc34c614e6ba60e8b06b8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f0c1253e8355f4abe1d8dee09db1fec"><td class="memItemLeft" align="right" valign="top">esp_err_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNeoPixelWiFiEventHandler.html#a3f0c1253e8355f4abe1d8dee09db1fec">staConnected</a> (system_event_sta_connected_t info) override</td></tr>
<tr class="memdesc:a3f0c1253e8355f4abe1d8dee09db1fec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Handle the Station Connected event. Handle having connected to remote AP.  <a href="#a3f0c1253e8355f4abe1d8dee09db1fec">More...</a><br /></td></tr>
<tr class="separator:a3f0c1253e8355f4abe1d8dee09db1fec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c1336ec495c8aa04fd5118932a479bb"><td class="memItemLeft" align="right" valign="top">esp_err_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNeoPixelWiFiEventHandler.html#a2c1336ec495c8aa04fd5118932a479bb">staGotIp</a> (system_event_sta_got_ip_t info) override</td></tr>
<tr class="memdesc:a2c1336ec495c8aa04fd5118932a479bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Handle the Station Got IP event. Handle having received/assigned an IP address when we are a station.  <a href="#a2c1336ec495c8aa04fd5118932a479bb">More...</a><br /></td></tr>
<tr class="separator:a2c1336ec495c8aa04fd5118932a479bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cc5b4d8d4bd3385972d1a1ae864f46d"><td class="memItemLeft" align="right" valign="top">esp_err_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNeoPixelWiFiEventHandler.html#a3cc5b4d8d4bd3385972d1a1ae864f46d">staDisconnected</a> (system_event_sta_disconnected_t info) override</td></tr>
<tr class="memdesc:a3cc5b4d8d4bd3385972d1a1ae864f46d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Handle the Station Disconnected event. Handle having disconnected from remote AP.  <a href="#a3cc5b4d8d4bd3385972d1a1ae864f46d">More...</a><br /></td></tr>
<tr class="separator:a3cc5b4d8d4bd3385972d1a1ae864f46d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38e6ae3aed1d5a777c756a859a055676"><td class="memItemLeft" align="right" valign="top"><a id="a38e6ae3aed1d5a777c756a859a055676"></a>
esp_err_t&#160;</td><td class="memItemRight" valign="bottom"><b>wifiReady</b> () override</td></tr>
<tr class="separator:a38e6ae3aed1d5a777c756a859a055676"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6961359273cba39f9e2c979746dfd57f"><td class="memItemLeft" align="right" valign="top"><a id="a6961359273cba39f9e2c979746dfd57f"></a>
esp_err_t&#160;</td><td class="memItemRight" valign="bottom"><b>staStart</b> () override</td></tr>
<tr class="separator:a6961359273cba39f9e2c979746dfd57f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classWiFiEventHandler"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classWiFiEventHandler')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classWiFiEventHandler.html">WiFiEventHandler</a></td></tr>
<tr class="memitem:a03fd2f98a3854650a28d6689223119fb inherit pub_methods_classWiFiEventHandler"><td class="memItemLeft" align="right" valign="top"><a id="a03fd2f98a3854650a28d6689223119fb"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFiEventHandler.html#a03fd2f98a3854650a28d6689223119fb">WiFiEventHandler</a> ()</td></tr>
<tr class="memdesc:a03fd2f98a3854650a28d6689223119fb inherit pub_methods_classWiFiEventHandler"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor. <br /></td></tr>
<tr class="separator:a03fd2f98a3854650a28d6689223119fb inherit pub_methods_classWiFiEventHandler"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70f39884b9aedfef107d973e3188574a inherit pub_methods_classWiFiEventHandler"><td class="memItemLeft" align="right" valign="top">virtual esp_err_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFiEventHandler.html#a70f39884b9aedfef107d973e3188574a">apStaConnected</a> (system_event_ap_staconnected_t info)</td></tr>
<tr class="memdesc:a70f39884b9aedfef107d973e3188574a inherit pub_methods_classWiFiEventHandler"><td class="mdescLeft">&#160;</td><td class="mdescRight">Handle a Station Connected to AP event. Handle having a station connected to ESP32 soft-AP.  <a href="classWiFiEventHandler.html#a70f39884b9aedfef107d973e3188574a">More...</a><br /></td></tr>
<tr class="separator:a70f39884b9aedfef107d973e3188574a inherit pub_methods_classWiFiEventHandler"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a355717b4185b7bc0dea0dc5894b805ad inherit pub_methods_classWiFiEventHandler"><td class="memItemLeft" align="right" valign="top">virtual esp_err_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFiEventHandler.html#a355717b4185b7bc0dea0dc5894b805ad">apStaDisconnected</a> (system_event_ap_stadisconnected_t info)</td></tr>
<tr class="memdesc:a355717b4185b7bc0dea0dc5894b805ad inherit pub_methods_classWiFiEventHandler"><td class="mdescLeft">&#160;</td><td class="mdescRight">Handle a Station Disconnected from AP event. Handle having a station disconnected from ESP32 soft-AP.  <a href="classWiFiEventHandler.html#a355717b4185b7bc0dea0dc5894b805ad">More...</a><br /></td></tr>
<tr class="separator:a355717b4185b7bc0dea0dc5894b805ad inherit pub_methods_classWiFiEventHandler"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae59d30f07785f4776ba348addde57d9e inherit pub_methods_classWiFiEventHandler"><td class="memItemLeft" align="right" valign="top">virtual esp_err_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFiEventHandler.html#ae59d30f07785f4776ba348addde57d9e">apStop</a> ()</td></tr>
<tr class="memdesc:ae59d30f07785f4776ba348addde57d9e inherit pub_methods_classWiFiEventHandler"><td class="mdescLeft">&#160;</td><td class="mdescRight">Handle the Access Point stop event. Handle an indication that the ESP32 has stopped being an access point.  <a href="classWiFiEventHandler.html#ae59d30f07785f4776ba348addde57d9e">More...</a><br /></td></tr>
<tr class="separator:ae59d30f07785f4776ba348addde57d9e inherit pub_methods_classWiFiEventHandler"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9eeffe417501462c8a12a9e879a69444 inherit pub_methods_classWiFiEventHandler"><td class="memItemLeft" align="right" valign="top">system_event_cb_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFiEventHandler.html#a9eeffe417501462c8a12a9e879a69444">getEventHandler</a> ()</td></tr>
<tr class="memdesc:a9eeffe417501462c8a12a9e879a69444 inherit pub_methods_classWiFiEventHandler"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the event handler. Retrieve the event handler function to be passed to the ESP-IDF event handler system.  <a href="classWiFiEventHandler.html#a9eeffe417501462c8a12a9e879a69444">More...</a><br /></td></tr>
<tr class="separator:a9eeffe417501462c8a12a9e879a69444 inherit pub_methods_classWiFiEventHandler"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f7d236b42b7dd636253f92a2f417649 inherit pub_methods_classWiFiEventHandler"><td class="memItemLeft" align="right" valign="top">virtual esp_err_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFiEventHandler.html#a1f7d236b42b7dd636253f92a2f417649">staScanDone</a> (system_event_sta_scan_done_t info)</td></tr>
<tr class="memdesc:a1f7d236b42b7dd636253f92a2f417649 inherit pub_methods_classWiFiEventHandler"><td class="mdescLeft">&#160;</td><td class="mdescRight">Handle a Scan for APs done event. Handle having an ESP32 station scan (APs) done.  <a href="classWiFiEventHandler.html#a1f7d236b42b7dd636253f92a2f417649">More...</a><br /></td></tr>
<tr class="separator:a1f7d236b42b7dd636253f92a2f417649 inherit pub_methods_classWiFiEventHandler"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a333ac6008f9823ef3053883d272fb0ba inherit pub_methods_classWiFiEventHandler"><td class="memItemLeft" align="right" valign="top">virtual esp_err_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFiEventHandler.html#a333ac6008f9823ef3053883d272fb0ba">staAuthChange</a> (system_event_sta_authmode_change_t info)</td></tr>
<tr class="memdesc:a333ac6008f9823ef3053883d272fb0ba inherit pub_methods_classWiFiEventHandler"><td class="mdescLeft">&#160;</td><td class="mdescRight">Handle the auth mode of APs change event. Handle having the auth mode of AP ESP32 station connected to changed.  <a href="classWiFiEventHandler.html#a333ac6008f9823ef3053883d272fb0ba">More...</a><br /></td></tr>
<tr class="separator:a333ac6008f9823ef3053883d272fb0ba inherit pub_methods_classWiFiEventHandler"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b3311f207915c563e37da0a7ae901ac inherit pub_methods_classWiFiEventHandler"><td class="memItemLeft" align="right" valign="top"><a id="a1b3311f207915c563e37da0a7ae901ac"></a>
virtual esp_err_t&#160;</td><td class="memItemRight" valign="bottom"><b>staStop</b> ()</td></tr>
<tr class="separator:a1b3311f207915c563e37da0a7ae901ac inherit pub_methods_classWiFiEventHandler"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b24b1ee868a02ec650205f79b0b04c4 inherit pub_methods_classWiFiEventHandler"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classWiFiEventHandler.html">WiFiEventHandler</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFiEventHandler.html#a0b24b1ee868a02ec650205f79b0b04c4">getNextHandler</a> ()</td></tr>
<tr class="separator:a0b24b1ee868a02ec650205f79b0b04c4 inherit pub_methods_classWiFiEventHandler"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afee45469141ee1351e06609ad0050133 inherit pub_methods_classWiFiEventHandler"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFiEventHandler.html#afee45469141ee1351e06609ad0050133">setNextHandler</a> (<a class="el" href="classWiFiEventHandler.html">WiFiEventHandler</a> *nextHandler)</td></tr>
<tr class="separator:afee45469141ee1351e06609ad0050133 inherit pub_methods_classWiFiEventHandler"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Color a neopixel as a function of the WiFi state. </p>
<p>When an ESP32 runs, we can't tell by looking at it the state of the WiFi connection. This class provides a WiFi event handler that colors a NeoPixel as a function of the state of the WiFi. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a0fac3188d6fc34c614e6ba60e8b06b8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0fac3188d6fc34c614e6ba60e8b06b8e">&#9670;&nbsp;</a></span>apStart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">esp_err_t NeoPixelWiFiEventHandler::apStart </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Handle the Access Point started event. Handle an indication that the ESP32 has started being an access point. </p>
<dl class="section return"><dt>Returns</dt><dd>An indication of whether or not we processed the event successfully. </dd></dl>

<p>Reimplemented from <a class="el" href="classWiFiEventHandler.html#ad7f61897eeb4921461fd12c959b5b979">WiFiEventHandler</a>.</p>

</div>
</div>
<a id="a3f0c1253e8355f4abe1d8dee09db1fec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f0c1253e8355f4abe1d8dee09db1fec">&#9670;&nbsp;</a></span>staConnected()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">esp_err_t NeoPixelWiFiEventHandler::staConnected </td>
          <td>(</td>
          <td class="paramtype">system_event_sta_connected_t&#160;</td>
          <td class="paramname"><em>info</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Handle the Station Connected event. Handle having connected to remote AP. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">event_connected</td><td>system_event_sta_connected_t. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>An indication of whether or not we processed the event successfully. </dd></dl>

<p>Reimplemented from <a class="el" href="classWiFiEventHandler.html#a1f2cc8efb4002ec195b1d0bba50c1cb2">WiFiEventHandler</a>.</p>

</div>
</div>
<a id="a3cc5b4d8d4bd3385972d1a1ae864f46d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3cc5b4d8d4bd3385972d1a1ae864f46d">&#9670;&nbsp;</a></span>staDisconnected()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">esp_err_t NeoPixelWiFiEventHandler::staDisconnected </td>
          <td>(</td>
          <td class="paramtype">system_event_sta_disconnected_t&#160;</td>
          <td class="paramname"><em>info</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Handle the Station Disconnected event. Handle having disconnected from remote AP. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">event_disconnected</td><td>system_event_sta_disconnected_t. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>An indication of whether or not we processed the event successfully. </dd></dl>

<p>Reimplemented from <a class="el" href="classWiFiEventHandler.html#a2a9e3223a299eea32d1654283151d8d4">WiFiEventHandler</a>.</p>

</div>
</div>
<a id="a2c1336ec495c8aa04fd5118932a479bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c1336ec495c8aa04fd5118932a479bb">&#9670;&nbsp;</a></span>staGotIp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">esp_err_t NeoPixelWiFiEventHandler::staGotIp </td>
          <td>(</td>
          <td class="paramtype">system_event_sta_got_ip_t&#160;</td>
          <td class="paramname"><em>info</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Handle the Station Got IP event. Handle having received/assigned an IP address when we are a station. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">event_sta_got_ip</td><td>The Station Got IP event. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>An indication of whether or not we processed the event successfully. </dd></dl>

<p>Reimplemented from <a class="el" href="classWiFiEventHandler.html#ae3081968ca143a3694dfa00ac2006adf">WiFiEventHandler</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="NeoPixelWiFiEventHandler_8h_source.html">NeoPixelWiFiEventHandler.h</a></li>
<li>NeoPixelWiFiEventHandler.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
